Package jebl.evolution.trees

# Class MostProbableTopology

java.lang.Object
jebl.evolution.trees.MostProbableTopology

public class MostProbableTopology extends Object
Given a set of trees determine the most probable trees, i.e. the most frequent topologies. Set branch lengths / node heights from set conditional on topology.

Version:
  $Id: MostProbableTopology.java 889 2008-02-27 01:13:21Z matt_kearse $
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`MostProbableTopology(Collection<? extends Tree> trees)`

## Method Summary

Modifier and Type
Method
Description
`List<Tree>`
`get(int max, double threshold)`
Get the most probable tree(s)

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MostProbableTopology

public MostProbableTopology(Collection<? extends Tree> trees)

Parameters:
  `trees` -

## Method Details

### get

public List<Tree> get(int max, double threshold)
Get the most probable tree(s)

Parameters:
  `max` - At most this number of trees (max invalid input: '<'= 0 is ignored)
  `threshold` - (in [01]) return first K topologies whose total frequencey is greater that threshold.
Returns:
  probable trees